Subject: Re: bug#6376: 23.2; byte compile add-to-list report free variable

From: Michael Heerdegen <[email-masked]>
Date: Wed, 02 Feb 2022 00:31:55 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I tried this byte-compiling such a file in Emacs 29, and I got:
>
> Compiling file /tmp/foo.el at Mon Jan 31 17:56:17 2022
> foo.el:2:15: Warning: reference to free variable ‘nosuchvariable’
> foo.el:2:15: Warning: assignment to free variable ‘nosuchvariable’
>
> So I guess it's been fixed at some point in the decade since this was
> reported [...]

The function got a compiler macro 2013 (bfa3acd65b), and the expansion
is either a `push' or a `setq' form (which support generating free
variable warnings), so this should have fixed this issue.

Michael.